Subject: Re: [bug#50343] [PATCH] gnu: Add linux-libre 5.14.

From: Pierre Langlois <[email-masked]>
Date: Sat, 11 Sep 2021 18:30:51 +0100

Leo Famulari <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> On Sat, Sep 11, 2021 at 12:56:37PM +0100, Pierre Langlois wrote:
>> I just tried out 5.14.2 on my rockpro64 (rk3399 chip) and ethernet isn't
>> working :-/. It probably also affects the pinebook pro.
>> 
>> Doing a bit of searching, I see it was reported upstream and this patch
>> introduced the issue https://patchwork.kernel.org/project/linux-arm-kernel/patch/[email-masked]/
>> 
>> I see Manjaro has patched their kernel to revert the patch as well:
>> https://gitlab.manjaro.org/manjaro-arm/packages/core/linux/-/commit/5e87e6f3b764d64bbb5b183e379a5fe64c3646ad
>
> Thanks for the report!
>
>> I suppose we could also apply that patch, although I'm sure it'll get
>> fixed upstream in a point release. We probably don't want to delay the 5.14
>> switch too much, maybe we could keep the linux-libre-5.13 variable
>> around for a little longer though? If not, I'm sure I could just use
>> 5.10 though.
>
> When they are two stable kernels [0], I typically keep the previous
> stable kernel as the Guix "default" until it stops being supported
> upstream, and then the latest stable kernel is made the default, and the
> older one is removed from Guix.

Oh I didn't know that, I thought we may switch to 5.14 earlier, that's
very sensible :-).

>
> I see in the upstream report that Sasha Levin is aware of the problem,
> and he is one of the stable kernel maintainers. So 5.13 should continue
> to work, and 5.14 should be fixed soon.
>
> We don't usually patch our kernels except for really critical problems;
> We use the stable and long-term support releases directly from upstream
> in order to avoid the old-school "custom distro kernel" thing.

Yeah I agree, the patch may fix the rk3399 ethernet but could break
other platforms, we don't know what the right fix should be.

>
> How about we keep things as they are now, and then reconsider if 5.13 is
> due for removal and the bug still exists in 5.14? I think that most
> rk3399 users in Guix should be okay for now, since the default kernel,
> 5.13, still works for them, right?

Sounds like a plan!

Thanks,
Pierre